;----------------------------------------------------------------------------
;
;       String Handling Functions Library v1.00
;       (C)1998 by Jari Tapio Tuominen, all rights reserved.
;       Programmed for JTT language.
;       Idea of some functions taken from Ansi C standard function libraries.
;       "Almost" all functions are based on ASCIIZ strings manipulating.
;
;----------------------------------------------------------------------------
;STRCPY
;Description:
;       Copies string (r0) to (r1)
strcpy                  lda r0
                        ldx r0+1
                        sta $30
                        stx $31
                        lda r1
                        ldx r1+1
                        sta $32
                        stx $33
                        ldy #0
strcpy_l1               lda ($30),y
                        sta ($32),y
                        cmp #0
                        beq strcpy_l2
                        iny
                        bne strcpy_l1
strcpy_l2               rts
;----------------------------------------------------------------------------
;STRCAT
;Description:
;       Cats string (r0) with (r1)
strcat                  lda r0
                        ldx r0+1
                        sta $30
                        stx $31
                        lda r1
                        ldx r1+1
                        sta $32
                        stx $33
                        ldy #0
strcat_l1               lda ($30),y
                        cmp #0
                        beq strcat_l2
                        lda $30
                        clc
                        adc #1
                        sta $30
                        lda $31
                        adc #0
                        sta $31
                        jmp strcat_l1
strcat_l2               lda ($32),y
                        sta ($30),y
                        cmp #0
                        beq strcat_l3
                        lda $30
                        clc
                        adc #1
                        sta $30
                        lda $31
                        adc #0
                        sta $31
                        lda $32
                        clc
                        adc #1
                        sta $32
                        lda $33
                        adc #0
                        sta $33
                        jmp strcat_l2
strcat_l3               rts
;----------------------------------------------------------------------------
