;
;       JTT system initialization code
;
;       Requires IEXECUTE.ASM!
;
;       unc0*
;       un92*
;
systeminit              lda #5
                        ldx #<sinit_fname1
                        ldy #>sinit_fname1
                        jsr sinit_loadfile
                        lda #5
                        ldx #<sinit_fname2
                        ldy #>sinit_fname2
                        jsr sinit_loadfile
                        lda #5
                        ldx #<sinit_fname3
                        ldy #>sinit_fname3
                        jsr sinit_loadfile
                        jsr $9200
                        jmp iexecute

sinit_loadfile     pha
                        txa
                        pha
                        tya
                        pla
                        lda #8
                        tax
                        tay
                        jsr $ffba
                        pla
                        tay
                        pla
                        tax
                        pla
                        jsr $ffbd
                        lda #0
                        jsr $ffd5
                        bcs sinit_error
                        rts
sinit_error        sei
                        lda #$37
                        sta 1
                        jsr $ff81
                        lda #2
                        sta $d020
                        sta $d021
                        lda #7
                        sta 646
                        ldx #<sinit_etext1
                        lda #>sinit_etext1
                        jsr $ab1e
                        jmp ($fffc)
                        ;
sinit_etext1            .byte 'Unfair terror occured, call Bill Gates and buy time machine.'
                        .byte 13,0,255
sinit_fname1            .byte 'unc0*' ; Dow Jones loader system
sinit_fname2            .byte 'un92*' ; Dow Jones initialization code
sinit_fname3            .byte 'un10*' ; $1000-$2000 Music 
