;
;       ANSIGFX library v1.00
;
;
;       Functions are:
;       
;       initansigfx
;       putcolor
;
initansigfx:            mov ax,1        ;; 40x25 ANSIGFX mode, real elite ;D
                        int 10h
                        ret

_ttab                   db 0x00,0x0f,0x04,0x03,0x05,0x02,0x01,0x0e,0x06,0x08,0x0c,0x08,0x07,0x0a,0x09,0x07

putcolor:               mov al,byte [r2]
                        mov ah,0
                        and ax,15
                        mov bp,ax
                        add bp,_ttab
                        mov al,byte [cs:bp]
                        push ax
                        mov si,word [r0]  ;.=x
                        mov  di,word [r1] ;40*y
                        imul di,40
                        add si,di       ; .+(..40*y..)
                        shl si,1        ; .<<1
                        mov ax,0b800h
                        mov es,ax
                        pop ax
                        inc si
                        shl al,4
                        mov byte [es:si],al
                        ret
