;
; MATH.ASM (Simple mathematical functions)
; --------
;
; Requires atleast 80386CPU.  (8086 registers used)
; Very simple mathematical functions like: multiple, divide, add, plus.
; This library is actually less markable on processors like 80386,
; but it is very markable thing when creating compatibility with MOS6510!
; 

mulw:       ;r0*r1, result in r2
            mov ax,word [r0]
            mov cx,word [r1]
            imul ax,cx
            ret

divw:       ;r0/r1, result in r2
            mov ax,word [r1]
            div word [r0]
            ret

addw:       ;r0+r1, result in r2
            mov ax,word [r0]
            add ax,word [r1]
            mov word [r2],ax
            ret

subw:       ;r0-r1, result in r2
            mov ax,word [r0]
            sub ax,word [r1]
            mov word [r2],ax
            ret

setw:       ;(r0)=(r1), example call: setw( var1& var2& );
            mov si,word [r1]
            mov di,word [r0]
            mov ax,word [cs:si]
            mov word [cs:di],ax
            ret


